
# Zoroflow

**Zoroflow** is a tool for security analysis that integrates with **Burp Suite**. It allows you to send URLs to Burp Suite directly from the terminal, either by specifying individual URLs or by loading a list of URLs from a file.

## Installation

You can install **Zoroflow** via pip:

```bash
pip install zoroflow
```

## Usage

### Basic Usage
You can use **Zoroflow** directly from the terminal by running:

```bash
python zoroflow.py [options]
```

### Options:
- `-h`, `--help`: Show the help message.
- `-u`, `--url`: Provide a single URL to send to Burp Suite.
- `-l`, `--list`: Provide a file containing a list of URLs to send to Burp Suite.
- `-p`, `--proxy`: Specify the Burp Suite proxy (default is `http://127.0.0.1:7777`).

### Example:

1. **Sending a single URL** to Burp Suite:

```bash
python zoroflow.py -u http://example.com 
```

2. **Sending a list of URLs** from a file (e.g., `urls.txt`):

```bash
python zoroflow.py -l urls.txt
```

### How It Works:
The tool sends HTTP requests to Burp Suite using the specified proxy (default `http://127.0.0.1:7777`). You can use Burp Suite’s intercepting proxy to inspect and modify the HTTP requests.

---

## Setting up Burp Suite for Zoroflow

Before using **Zoroflow**, you need to configure Burp Suite to listen on port `7777`. Here’s how you can do that:

1. Open **Burp Suite**.
2. Go to the **Proxy** tab.
3. In the **Proxy** tab, click on **Proxy Settings**.
4. In the **Proxy Listeners** section, click on **Add**.
5. Set the listener interface to `127.0.0.1` and the port to `7777` (or any port you want to use).
6. Once configured, Burp Suite will listen on the specified port, and you can send traffic to it from **Zoroflow**.

Now, the tool will route traffic through Burp Suite, allowing you to monitor and manipulate the requests directly from Burp’s interface.

---
